import matplotlib.pyplot as plt
numargs = expon.numargs
[  ] = [0.9,] * numargs
rv = expon()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = expon.cdf(x, )
h = plt.semilogy(np.abs(x - expon.ppf(prb, )) + 1e-20)

# Random number generation

R = expon.rvs(size=100)
